doctrine:
  dbal:
    url: '%env(resolve:DATABASE_URL)%'
    logging: '%kernel.debug%'

    # IMPORTANT: You MUST configure your server version,
    # either here or in the DATABASE_URL env var (see .env file)
    #server_version: '13'
  orm:
    auto_generate_proxy_classes: true
    naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
    auto_mapping: true
    mappings:
      App:
        is_bundle: false
        type: attribute
        dir: '%kernel.project_dir%/src/Entity'
        prefix: 'App\Entity'
        alias: App
    filters:
      softdeleteable:
        class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter
        enabled: true
    dql:
      string_functions:
        MONTH: DoctrineExtensions\Query\Mysql\Month
        YEAR: DoctrineExtensions\Query\Mysql\Year
        DAY: DoctrineExtensions\Query\Mysql\Day